[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.Flat

Indicates if the control is drawn with a flat appearance.

## Declaration

Source position: comctrls.pp line 2393

`published property TToolBar.Flat : Boolean read FFlat write SetFlat default True;`

## Description

Flat is a Boolean property which indicates if the control is drawn using a flat appearance (when True), or a raised drawing style (when False). The default value for the property is True.

Changing the value for the property causes the inherited Invalidate method to be called to refresh the control.

## See also

TWinControl.Invalidate |  | Schedules a repaint request.